from .config import get_settings

COMMAND_TMPL = """
set -ex
export DBPATH=$(mktemp $(dirname {arcology_db})/arcology.XXXXXXXXXX.db)
pushd {arcology_src};

cp {arcology_db} $DBPATH || echo "no existing db found, will be created from scratch"
{emacs} -Q --batch \
      --eval '(setq org-roam-directory "{arcology_dir}")' \
      --eval '(setq arcology-source-directory "{arcology_src}/lisp")' \
      --eval '(setq arroyo-source-directory "{arroyo_src}")' \
      --eval '(setq arroyo-db-location "'$DBPATH'")' \
      --eval '(setq org-roam-db-location "{org_roam_db}")' \
      -l lisp/arcology-batch.el \
      --eval '(org-roam-db-sync)' # \
# --eval '(arroyo-db-update-all-roam-files)' \
# --eval '(arroyo-db-update-all-roam-files)' \
# --eval '(arroyo-arcology-update-db)'

mv $DBPATH {arcology_db}
echo "rebuild done"
"""

def build_command():
   settings = get_settings()

   return COMMAND_TMPL.format(
      arcology_dir = settings.arcology_directory,
      arcology_src = settings.arcology_src,
      arroyo_src = settings.arroyo_src,
      arcology_db = settings.arcology_db,
      org_roam_db = settings.org_roam_db,
      emacs = settings.arroyo_emacs,
   )
