# [[file:arcology-poetry.org::*All of this can be encapsulated by a Nix Flake][All of this can be encapsulated by a Nix Flake:1]]
{
  description = "arcology org-mode publishing";
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = {self, nixpkgs, flake-utils}:
    flake-utils.lib.eachDefaultSystem (system:
      let pkgs = nixpkgs.legacyPackages.${system}; in
      rec {
        devShell = import ./shell.nix { inherit pkgs; };
        packages = flake-utils.lib.flattenTree {
          arcology = import ./default.nix { inherit pkgs; };
          docker = import ./docker.nix { inherit pkgs; };
        };
        defaultPackage = packages.arcology;
        apps.arcology-fastapi = flake-utils.lib.mkApp {
          drv = packages.arcology-with-assets;
          exePath = "/bin/arcology-fastapi";
        };
        apps.arcology-inotify = flake-utils.lib.mkApp {
          drv = packages.arcology-with-assets;
          exePath = "/bin/arcology-inotify";
        };
      }
    );
}
# All of this can be encapsulated by a Nix Flake:1 ends here
